Results 1 to 7 of 7

Thread: Cannot update app to CMD 4.0.0.203

  1. #1
    Sencha User
    Join Date
    Sep 2010
    Posts
    27

    Default Cannot update app to CMD 4.0.0.203

    Hi!, I am using SA 3 RC, I configured a custom path to sencha cmd 4.0.0.203 (inside setting - framework option) and when I press "Upgrade Build Tools" button I get this error:

    SettingFramework.png

    [ERR] Command must be run from a framework folder
    at com.sencha.command.environment.BuildEnvironment.mustGetFrameworkEnvironment(BuildEnvironment.java:578)
    at com.sencha.command.app.AppCommands$UpgradeCommand.execute(AppCommands.java:249)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
    at com.sencha.cli.Command.dispatch(Command.java:42)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.command.Sencha.dispatch(Sencha.java:80)
    at com.sencha.command.Sencha.main(Sencha.java:148)

    NOTE : I am updating an existing app, made by SA2 and sencha 2.3.
    It's the .....\sencha\workspace:

    workspace.build.dir=${workspace.dir}/build
    workspace.packages.dir=${workspace.dir}/packages
    workspace.cmd.version=4.0.0.203
    touch.dir=${workspace.dir}/touch # --- NOTE: This folder have a sencha touch 2.3 framework!

    Is OK?


    Please, Can I help me?

    Complete Output LOG:


    [ERR]
    The application was last modified by an older version of Sencha Cmd (4.0.0.203)
    the current is 4.0.1.33.
    Please run "sencha app upgrade" to update to 4.0.1.33.



    12:46:02 AM
    "C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/sencha" -debug app upgrade "C:/Users/unknown/bin/Sencha/Cmd/4.0.0.203"


    C:\Projects\SuperPromo\SuperPromoMovil\superpromo>cd /D "C:\Projects\SuperPromo\SuperPromoMovil\superpromo"


    C:\Projects\SuperPromo\SuperPromoMovil\superpromo>"C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/sencha" -debug app upgrade "C:/Users/unknown/bin/Sencha/Cmd/4.0.0.203"
    Sencha Cmd v4.0.1.33
    [DBG] Loading configuration from C:\Projects\SuperPromo\SuperPromoMovil\superpromo
    [DBG] Scanning for extensions in C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions
    [DBG] Loaded extension: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-cordova-packager
    [DBG] Loaded extension: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-phonegap-packager
    [DBG] Loaded extension: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass
    [DBG] Framework dependency detected
    [DBG] Loading framework touch from C:\Projects\SuperPromo\SuperPromoMovil\superpromo\touch
    [DBG] Detecting framework plugin
    [DBG] Resolving framework config overrides for 'touch'
    [DBG] Detected framework version 2.3.0
    [DBG] Detected framework override at 'C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\plugins\touch\2.3'
    [DBG] using framework plugin located at 'C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\plugins\touch\2.3'
    [DBG] Loaded framework from C:\Projects\SuperPromo\SuperPromoMovil\superpromo\touch
    [DBG] Loading CommandProviders
    [DBG] Scanning extensions directory C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-cordova-packager for extensions
    [DBG] Scanning extensions directory C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-phonegap-packager for extensions
    [DBG] Scanning extensions directory C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass for extensions
    [DBG] Located C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass\sencha-compass.jar
    [DBG] loading manifest for jar C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass\sencha-compass.jar
    [DBG] get value lib/slf4j-api-1.6.6.jar lib/ant-1.8.4.jar lib/ant-launcher-1.8.4.jar for manifest class path
    [DBG] loading manifest for jar C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass\lib\slf4j-api-1.6.6.jar
    [DBG] loading manifest for jar C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass\lib\ant-1.8.4.jar
    [DBG] loading manifest for jar C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass\lib\ant-launcher-1.8.4.jar
    [DBG] Add extension classpath entry 'sencha-compass' : jar:file:/C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/extensions/sencha-compass/sencha-compass.jar!/
    [DBG] Add extension classpath entry 'sencha-compass' : jar:file:/C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/extensions/sencha-compass/lib/slf4j-api-1.6.6.jar!/
    [DBG] Add extension classpath entry 'sencha-compass' : jar:file:/C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/extensions/sencha-compass/lib/ant-1.8.4.jar!/
    [DBG] Add extension classpath entry 'sencha-compass' : jar:file:/C:/Users/unknown/bin/Sencha/Cmd/4.0.1.33/extensions/sencha-compass/lib/ant-launcher-1.8.4.jar!/
    [DBG] Scanning for plugins in folder: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-cordova-packager
    [DBG] Loading plugin: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-cordova-packager\cmd-cordova-packager.plugin.xml
    [DBG] Resolving packages for : SuperPromo
    [DBG] scanning directory C:\Projects\SuperPromo\SuperPromoMovil\superpromo/touch for packages
    [DBG] scanning directory C:\Projects\SuperPromo\SuperPromoMovil\superpromo/packages for packages
    [DBG] Loading plugin: C:\Users\unknown\bin\Sencha\Cmd\repo\.sencha\repo\plugin.xml
    [DBG] Scanning for plugins in folder: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-phonegap-packager
    [DBG] Loading plugin: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\cmd-phonegap-packager\cmd-phonegap-packager.plugin.xml
    [DBG] Scanning for plugins in folder: C:\Users\unknown\bin\Sencha\Cmd\4.0.1.33\extensions\sencha-compass
    [INF] Loading configuration for framework directory: C:\Users\unknown\bin\Sencha\Cmd\4.0.0.203
    [ERR] Command must be run from a framework folder
    at com.sencha.command.environment.BuildEnvironment.mustGetFrameworkEnvironment(BuildEnvironment.java:578)
    at com.sencha.command.app.AppCommands$UpgradeCommand.execute(AppCommands.java:249)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sencha.util.MethodInvoker$Arguments.invoke(MethodInvoker.java:175)
    at com.sencha.cli.Command.dispatch(Command.java:42)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.cli.Commands.dispatch(Commands.java:64)
    at com.sencha.command.Sencha.dispatch(Sencha.java:80)
    at com.sencha.command.Sencha.main(Sencha.java:148)


    [ERR]
    The application was last modified by an older version of Sencha Cmd (4.0.0.203)
    the current is 4.0.1.33.
    Please run "sencha app upgrade" to update to 4.0.1.33.

  2. #2
    Sencha User
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    RC2 which went out last night gives a nice visual facelift to the preferences page (thanks Phil Strong).

    The path you are specifying should be the location of an SDK that you have downloaded. Sencha Cmd is already included with Architect and you will get 4.0.1.45 when you update to RC2.

  3. #3
    Sencha User
    Join Date
    Sep 2010
    Posts
    27

    Default

    Excelent!, but Where do I configure this path? In the sencha.cfg?

    I already configured the "touch 2.3 sdk" folder. or are you tell about other framework?

    my sencha.cfg file:
    touch.dir=${workspace.dir}/touch # --- NOTE: This folder have a sencha touch 2.3 framework!

    Please help me..

    Thanks!

    Quote Originally Posted by aconran View Post
    RC2 which went out last night gives a nice visual facelift to the preferences page (thanks Phil Strong).

    The path you are specifying should be the location of an SDK that you have downloaded. Sencha Cmd is already included with Architect and you will get 4.0.1.45 when you update to RC2.

  4. #4
    Sencha User
    Join Date
    Mar 2007
    Posts
    9,488

    Default

    Architect automatically will give you the latest Sencha Cmd that works with Architect (currently 4.0.1.45). We have plans to let you configure a specific Sencha Cmd down the line but that is currently not there.

    When you choose custom you can pick a version of the SDK you downloaded and it will bring it into your project and initialize Cmd.

  5. #5
    Sencha User
    Join Date
    Nov 2010
    Location
    Villaflores,Chiapas,Mexico
    Posts
    97

    Default

    Same problem with my app, i run then sencha app ugrade path/to/myapp but nothing works: [ERR]:Java.lang.NullPointerException.....


    I have sencha cmd v 4.0.1.45

  6. #6
    Sencha User
    Join Date
    Nov 2010
    Location
    Villaflores,Chiapas,Mexico
    Posts
    97

    Default

    Every time when new version comes, new problems comes. :S

  7. #7
    Sencha User
    Join Date
    Mar 2007
    Location
    Olney, MD
    Posts
    1,953

    Default

    This is not the same issue reported above. One line of output isn't sufficient to help diagnose.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •